package com.autentia.tutoriales.interprete;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.Map;

public class ExpressionFunctionContext {

	private Map<String,BigDecimal> mapaVariablesNumeros = null;
	
	private ExpressionFunctionContext() {
		mapaVariablesNumeros = new HashMap<String, BigDecimal>(3);
	}
	
	public static ExpressionFunctionContext createExpressionContext(){
		return new ExpressionFunctionContext();
	}
	
	public ExpressionFunctionContext addVariable(String variableName, BigDecimal valor) {
		mapaVariablesNumeros.put(variableName, valor);
		return this;
	}
	
	
	BigDecimal getNumberFromContextByVariableName(String variableName) {
		if(mapaVariablesNumeros==null) {
			throw new ExpressionFunctionException("el contexto es nulo");
		}
		
		BigDecimal valor = mapaVariablesNumeros.get(variableName);
		
		if(valor==null){
			throw new ExpressionFunctionException("No se ha encontrado ninguna variable en el contexto con el nombre:"+variableName);
		}
		
		return valor;
	}

}
