package com.autentia.tutoriales.interprete;

import java.math.BigDecimal;

class VariableFunction implements ExpressionFunction {
	
	
	private String variableName;
	
	public VariableFunction(String variableName) {
		this.variableName = variableName;
	}
	
	
	@Override
	public BigDecimal evaluate(ExpressionFunctionContext context) {		    		
		return new NumberFunction(getValorFromContext(context)).evaluate(context);	    
	}


	private BigDecimal getValorFromContext(ExpressionFunctionContext context) {
		return context.getNumberFromContextByVariableName(this.variableName);
	}

}
