package com.autentia.tutoriales.interprete;

import java.math.BigDecimal;
import java.math.RoundingMode;

import org.junit.Assert;
import org.junit.Test;



public class DivFunctionTest {

	@Test
	public void probando_div_function_con_numeros_test() {
		
		DivFunction division = new DivFunction(new NumberFunction(new BigDecimal(6.4f)), new NumberFunction(new BigDecimal(3.0f)));
		
		BigDecimal expected = new BigDecimal(6.4f).divide(new BigDecimal(3.0f),RoundingMode.HALF_EVEN);
		Assert.assertEquals(expected, division.evaluate(null));
		
	}
	
	
	
	@Test
	public void probando_div_function_con_numeros_y_variables_test() {
		
		DivFunction division = new DivFunction(new NumberFunction(new BigDecimal(8.7f)), new VariableFunction("X"));
		
		BigDecimal expected = new BigDecimal(8.7f).divide(new BigDecimal(6.3f),RoundingMode.HALF_EVEN);
		Assert.assertEquals(expected, division.evaluate(ExpressionFunctionContext.createExpressionContext().addVariable("X", new BigDecimal(6.3f))));
		
	}
	


}
