package com.autentia.tutoriales.interprete;

import java.math.BigDecimal;

import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

@ContextConfiguration(locations={"classpath:applicationContext-test.xml"})
@RunWith(SpringJUnit4ClassRunner.class)
public class InterpreterFunctionSpringTest {
	
	
	@Autowired
	InterpreterFunction interpreter;
	
	@Value("#{props['interpreter.expression']}")
	String expression1;
	
	@Value("#{props['interpreter.result']}")
	String result;
	
	
	@Test
	public void inyeccion_expression_correcta_Test() {
		Assert.assertEquals(expression1,interpreter.getActualExpression());
	}
	
	@Test
	public void evaluacion_correcta_suma_simple_Test() {
		BigDecimal expected = new BigDecimal(result);
		
		Assert.assertEquals(expected,interpreter.evaluate(null));
	}	
	
}
