package com.autentia.tutoriales.interprete;


import static org.junit.Assert.*;

import java.math.BigDecimal;
import java.util.Arrays;
import java.util.Collection;
import java.util.HashMap;
import java.util.Map;
import java.util.Stack;



import org.junit.Test;
import org.junit.runner.RunWith;
import org.junit.runners.Parameterized;
import org.junit.runners.Parameterized.Parameters;

@RunWith(value = Parameterized.class)
public class InterpreterFunctionTest {
	
	
	private String expresion;
	private BigDecimal resultado;
	
	static ExpressionFunctionContext contexto = null;
	
	@Parameters
	public static Collection<Object[]> getTestParameters() {
		contexto = ExpressionFunctionContext.createExpressionContext().addVariable("X", new BigDecimal(8)).addVariable("Y", new BigDecimal(7));
		
		return Arrays.asList(new Object	[][] {

				{ "7 8 + 50 -",new BigDecimal("-35")},
				{ "0 0 +", new BigDecimal("0")},
				{ "6.54 99.76 + 45 50 - - X +",new BigDecimal("119.30")},
				{ "6.54 99.76 * 45 50 - - X +",new BigDecimal("665.43")},
				{ "6.54 99.76 * 45 50 / Y * - @",new BigDecimal("6.46")},
				{ "X Y * 7 +",new BigDecimal("63")}
				});
		
		
	}
	public InterpreterFunctionTest(String regla, BigDecimal resultado) {
		this.expresion = regla;
		this.resultado = resultado;
		
	}
	
	@Test
	public void testingSomeOperationsExpression() {	
		InterpreterFunction evaluator = new InterpreterFunction(expresion);
		assertEquals(resultado.doubleValue(), evaluator.evaluate(contexto).doubleValue(),0.1);
	}	  
	  
}
