package com.autentia.tutoriales.interprete;

import java.math.BigDecimal;
import java.math.RoundingMode;

import org.junit.Assert;
import org.junit.Test;



public class LogeFunctionTest {

	@Test
	public void probando_log_function_con_numeros_test() {
		
		LogeFunction log = new LogeFunction(new NumberFunction(new BigDecimal(6.4f)));
		
		BigDecimal expected = new BigDecimal(Math.log(6.4f));
		Assert.assertEquals(expected, log.evaluate(null));
		
	}
	
	
	
	@Test
	public void probando_log_function_con_variables_test() {
		
		LogeFunction log = new LogeFunction(new VariableFunction("X"));
		
		BigDecimal expected = new BigDecimal(Math.log(6.3f));
		Assert.assertEquals(expected, log.evaluate(ExpressionFunctionContext.createExpressionContext().addVariable("X", new BigDecimal(6.3f))));
		
	}
	


}
