package com.autentia.tutoriales.interprete;

import java.math.BigDecimal;
import java.math.RoundingMode;

import org.junit.Assert;
import org.junit.Test;



public class MultFunctionTest {

	@Test
	public void probando_mult_function_con_numeros_test() {
		
		MultFunction mult = new MultFunction(new NumberFunction(new BigDecimal(6.4f)), new NumberFunction(new BigDecimal(3.0f)));
		
		BigDecimal expected = new BigDecimal(6.4f).multiply(new BigDecimal(3.0f));
		Assert.assertEquals(expected, mult.evaluate(null));
		
	}
	
	
	
	@Test
	public void probando_div_function_con_numeros_y_variables_test() {
		
		MultFunction mult = new MultFunction(new NumberFunction(new BigDecimal(8.7f)), new VariableFunction("X"));
		
		BigDecimal expected = new BigDecimal(8.7f).multiply(new BigDecimal(6.3f));
		Assert.assertEquals(expected, mult.evaluate(ExpressionFunctionContext.createExpressionContext().addVariable("X", new BigDecimal(6.3f))));
		
	}
	


}
