package com.autentia.tutoriales.interprete;

import java.math.BigDecimal;
import java.math.RoundingMode;

import org.junit.Assert;
import org.junit.Test;



public class SubtractFunctionTest {

	@Test
	public void probando_subtract_function_con_numeros_test() {
		
		SubtractFunction resta = new SubtractFunction(new NumberFunction(new BigDecimal(6.4f)), new NumberFunction(new BigDecimal(3.0f)));
		
		BigDecimal expected = new BigDecimal(6.4f).subtract(new BigDecimal(3.0f));
		Assert.assertEquals(expected, resta.evaluate(null));
		
	}
	
	
	
	@Test
	public void probando_resta_function_con_numeros_y_variables_test() {
		
		SubtractFunction resta = new SubtractFunction(new NumberFunction(new BigDecimal(8.7f)), new VariableFunction("X"));
		
		BigDecimal expected = new BigDecimal(8.7f).subtract(new BigDecimal(6.3f));
		Assert.assertEquals(expected, resta.evaluate(ExpressionFunctionContext.createExpressionContext().addVariable("X", new BigDecimal(6.3f))));
		
	}
	
}

