package com.autentia.tutoriales.interprete;

import java.math.BigDecimal;

import org.junit.Assert;
import org.junit.Test;



public class SumFunctionTest {

	@Test
	public void probando_suma_function_con_numeros_test() {
		
		SumFunction suma = new SumFunction(new NumberFunction(new BigDecimal(8.7)), new NumberFunction(new BigDecimal(6.3)));
		
		BigDecimal expected = new BigDecimal(8.7).add(new BigDecimal(6.3));
		Assert.assertEquals(expected, suma.evaluate(null));
		
	}
	
	
	
	@Test
	public void probando_suma_function_con_numeros_y_variables_test() {
		
		SumFunction suma = new SumFunction(new NumberFunction(new BigDecimal(8.7)), new VariableFunction("X"));
		
		BigDecimal expected = new BigDecimal(8.7).add(new BigDecimal(6.3));
		Assert.assertEquals(expected, suma.evaluate(ExpressionFunctionContext.createExpressionContext().addVariable("X", new BigDecimal(6.3))));
		
	}
	


}
