package com.autentia.tutoriales.interprete;

import java.math.BigDecimal;

import org.junit.Assert;
import org.junit.Test;



public class VariableFunctionTest {

	@Test
	public void probando_variable_function_con_variable_en_el_contexto_test() {
		
		ExpressionFunctionContext context = ExpressionFunctionContext.createExpressionContext().addVariable("A", new BigDecimal(7.90));
		
		VariableFunction function = new VariableFunction("A");
		
		Assert.assertEquals(new BigDecimal(7.90), function.evaluate(context));
		
	}

	@Test(expected=ExpressionFunctionException.class)
	public void probando_variable_function_sin_variable_en_el_contexto_test() {
		
		ExpressionFunctionContext context = ExpressionFunctionContext.createExpressionContext();
		
		VariableFunction function = new VariableFunction("A");
		
		Assert.assertEquals(new BigDecimal(7.90), function.evaluate(context));
		
	}
	
	

}
